Add Order Tracking Number

Add Order Tracking Number.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint is used to add tracking information to an open order. Adding tracking numbers to an order will change the order status automatically. The POST body needs to be a JSON array containing an element for each tracking number to add to the order.

curl --header "Content-Type: application/json" \
  --request POST \
  --data '["TRACKINGNUMBER"]' \
  http://api.tcgplayer.com/VERSION/stores/YOURSTOREKEY/orders/ORDERNUMBERTOADD/tracking
{
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "trackingNumber": "string",
      "carrier": "string",
      "imageUrl": "string",
      "trackingUrl": "string",
      "status": "string",
      "createdOn": "datetime"
    }
  ]
}
[
	"trackingnumber",
  "optional additional tracking number"
]
Path Params
string
required

Required. A unique key used to identify the caller of the API.

string
required

Required. The order number for the order being queried.

Body Params

An array of tracking numbers to be added to the order.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json